Page MenuHomePhabricator

hashtags tool uses makes browser communicate with google apis and goodle drive without notice
Closed, ResolvedPublic

Description

Go to https://tools.wmflabs.org/hashtags/search/wiki or any other search (but not just tool main page). Observe requests to https://drive.google.com/*, https://ssl.gstatic.com/*, https://apis.google.com/* in browser console networking tab.

Issue about this was created on Github repository linked in tool footer: https://github.com/hatnote/hashtag-search/issues/32 . No reaction followed so far (22 days).

Obviously either a clear notice about using third party services with links to respective ToUs and Privacy Policies should be present on all tool pages or no such services should be used.

Event Timeline

Base created this task.Mar 11 2018, 8:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2018, 8:30 PM
Huji added a subscriber: Huji.Mar 11 2018, 9:10 PM

Any news here ? :)

Aklapper edited projects, added Tools; removed Toolforge.
Base added a comment.Apr 2 2018, 5:08 PM

At least none I can see :(

@Framawiki: If neither @MahmoudHashemi nor @Slaporte are active maintaining it, there's third one @Samwalton9

Samwalton9 closed this task as Resolved.Oct 3 2018, 12:40 PM
Samwalton9 claimed this task.

This tool is now down, replaced by https://hashtags.wmflabs.org/, where I removed the Google integration for the time being.